package com.tptj.demo.hg.report.exception.handler.provider;

import com.fr.intelli.record.Focus;
import com.fr.log.FineLoggerFactory;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.core.ReportLocatedError;
import com.fr.report.fun.impl.AbstractReportExceptionHandlerProvider;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/6/28
 **/
@EnableMetrics
public class Demo extends AbstractReportExceptionHandlerProvider {
    @Override
    @Focus(id="com.tptj.demo.hg.report.exception.handler.provider.v10",text = "ReportExceptionHandlerProvider")
    public void handlerReportLocatedException(ReportLocatedError error) {
        FineLoggerFactory.getLogger().error(error.getCause(),
                "Demo ReportExceptionHandler sheet_idx:{},cell={};{}",
                error.getSheetLocate(), error.getCellLocate(),error.getCause().getMessage() );
    }
}
